Package: groovy.io

## [Java] Enum FileType

- groovy.io.FileType

-     public enum FileType
      extends Enum

  Represents particular files of interest.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ANY` | Represents both normal files and directories
    `DIRECTORIES` | Represents directories
    `FILES` | Represents normal files

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### public FileType ANY

      Represents both normal files and directories

    - #### public FileType DIRECTORIES

      Represents directories

    - #### public FileType FILES

      Represents normal files